<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>daycare_attendance</ion-title>
  </ion-toolbar>
</ion-header>
<!-- 
<ion-content [fullscreen]="true">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">daycare_attendance</ion-title>
    </ion-toolbar>
  </ion-header>
</ion-content> -->

<ion-content padding>
  <div *ngIf="!NextPageDiv">
    <ion-item>
      <ion-label>Date: </ion-label>
      <ion-datetime displayFormat="MM/DD/YYYY" name="AttendanceDate" required [(ngModel)]="DayCareObject.AttendanceDate"></ion-datetime>
    </ion-item>
    <ion-item>
      <ion-label>Batch</ion-label>
      <ion-select name="Batch" [(ngModel)]="DayCareObject.BatchId" required>
        <ion-select-option *ngFor="let c of BatchList" [value]="c.Id">{{c.Name}}</ion-select-option>
      </ion-select>
    </ion-item>
    
    <ion-item>
      <ion-label>Course</ion-label>
      <ion-select name="Course" [(ngModel)]="DayCareObject.CourseId" required>
        <ion-select-option *ngFor="let c of CourseList" [value]="c.Id">{{c.Name}}</ion-select-option>
      </ion-select>
    </ion-item>
    
    <button class="ion-button" (click)="getStudent()">Take Attendance</button>
  </div>
  
  <div *ngIf="NextPageDiv">
    <ion-item>
      <ion-searchbar [(ngModel)]="NextPage.searchText" name="searchText" [showCancelButton]="true" (ionInput)="SearchStudentName($event)" placeholder="Search"></ion-searchbar>
    </ion-item>
    <ion-label>Student Name <span style="float: right">CheckIn &nbsp; CheckOut</span></ion-label>

    <ion-list>
      <ion-row>
        <ion-col>
          <ion-item class="item item-toggle" *ngFor="let item of StudentsList">
            <ion-label>{{item.StudentName}}</ion-label>
            <ion-datetime pickerFormat="hh mm A" id="CheckInTime" name="CheckInTime" [(ngModel)]="item.CheckInTime" required></ion-datetime>
            <ion-label>abc</ion-label>
            <ion-datetime pickerFormat="hh mm A" id="CheckOutTime" name="CheckOutTime" [(ngModel)]="item.CheckOutTime" required></ion-datetime>
          </ion-item>
        </ion-col>
      </ion-row>
    </ion-list>
  </div>
</ion-content>

